IBM Domino nsf File Argument XSS

This script is Copyright (C) 2003-2015 Tenable Network Security, Inc.


Synopsis :

The remote web server is affected by a cross-site scripting
vulnerability.

Description :

The version of IBM Domino (formerly IBM Lotus Domino) running on the
remote host is affected by a cross-site scripting vulnerability due to
a failure to properly sanitize user-supplied input when requesting a
'.nsf' file. A remote, unauthenticated attacker can exploit this
issue, via a crafted URL, to execute arbitrary code in a user's
browser.

See also :

http://archives.neohapsis.com/archives/bugtraq/2001-07/0022.html
http://archives.neohapsis.com/archives/bugtraq/2001-07/0042.html

Solution :

Upgrade to IBM Domino version 5.0.9 or later.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N)
CVSS Temporal Score : 3.7
(CVSS2#E:U/RL:U/RC:C)
Public Exploit Available : false

Family: CGI abuses : XSS

Nessus Plugin ID: 11394 (domino_xss.nasl)

Bugtraq ID: 2962

CVE ID: CVE-2001-1161